Subject: Re: [PATCH 11/22] entry.c: optionally checkout submodules

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 24 May 2007 20:49:22 -0400

Martin Waitz <[email-masked]> wrote:
> 
> On Thu, May 24, 2007 at 03:18:19AM -0400, Shawn O. Pearce wrote:
> > I'm actually really unhappy with our !istty(2) means disable
> > progress thing.  git-gui knows how to read and show the progress
> > meters, but nobody prints them anymore as 2 is a pipe.  I have the
> > same problem with a Java build tool that sometimes starts up an
> > expensive Git operation (like a clone over SSH of a 60+ MiB project).
> > 
> > I've been considering adding a GIT_ISTTY environment variable to
> > forcefully override the istty result, just to get the progress
> > meters turned back on...
> 
> or perhaps introduce GIT_PROGRESS to name a filedescriptor which then
> _only_ gets all the progress information, in a format easily parseable
> by other tools?

Unfortunately that isn't Tcl friendly, and its *really* not Tcl
on Windows friendly as there we have a difficult time passing
environment variables from Tcl down into Cygwin forked processes.
That problem appears to be a glitch in how Cygwin's Tcl happens to be
implemented on Windows; its actually more a native Tcl than a Cygwin
process, especially when it comes to the builtin Tcl "exec" command.

But its a good idea.  Its just hard for me to take advantage of
it up in git-gui.  ;-)

-- 
Shawn.